import { defineConfig } from 'vite';
import path from 'path';
import docsbaseConfig from './vite.config.base';

export default defineConfig(({ command, mode }) => {
  return {
    ...docsbaseConfig,
    base: '/tiny-ng/',
    build: {
      outDir: 'dist/docs',
    },
    resolve: {
      alias: {
        '@': path.resolve('src'),
        '@demos': path.resolve('node_modules/@huawei/tinydoc-ng-tiny'),
        '@style.css': path.resolve('node_modules/@huawei/tinydoc-ng-tiny/scripts/assets/theme/basic-var.min.css'),
        '@demo': path.resolve('src/views/components/demo.vue'),
      },
    },
    server: {
      host: '0.0.0.0',
      port: 3101,
    },
  };
});
